Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractTariffChangeData

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractTariffChangeData

public class ContractTariffChangeData extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractTariffChangeData.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffChangeData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractTariffChangeData.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getFromContractTariffId()`
  `Date`
  `getFromDate()`
  `int`
  `getTariffGroupId()`
  `int`
  `getToTariffPlanId()`
  `void`
  `setComment(String comment)`
  `void`
  `setFromContractTariffId(int fromContractTariffId)`
  `void`
  `setFromDate(Date fromDate)`
  `void`
  `setTariffGroupId(int tariffGroupId)`
  `void`
  `setToTariffPlanId(int toTariffPlanId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffChangeData

    public ContractTariffChangeData()

- ## Method Details

  - ### getTariffGroupId

    public int getTariffGroupId()

  - ### getFromContractTariffId

    public int getFromContractTariffId()

  - ### getToTariffPlanId

    public int getToTariffPlanId()

  - ### getFromDate

    public Date getFromDate()

  - ### getComment

    public String getComment()

  - ### setTariffGroupId

    public void setTariffGroupId(int tariffGroupId)

  - ### setFromContractTariffId

    public void setFromContractTariffId(int fromContractTariffId)

  - ### setToTariffPlanId

    public void setToTariffPlanId(int toTariffPlanId)

  - ### setFromDate

    public void setFromDate(Date fromDate)

  - ### setComment

    public void setComment(String comment)

  - ### builder

    public static ContractTariffChangeData.Builder builder()